Winspool.JOB_INFO_1 (JNA API)

com.sun.jna.platform.win32

## Class Winspool.JOB_INFO_1

- java.lang.Object
- - com.sun.jna.Structure
  - - com.sun.jna.platform.win32.Winspool.JOB_INFO_1

- Enclosing interface:
    Winspool

      public static class Winspool.JOB_INFO_1
      extends Structure

  The JOB_INFO_1 structure specifies print-job information such as the job-identifier value, the name of the printer for which the job is spooled, the name of the machine that created the print job, the name of the user that owns the print job, and so on.
  See Also:
    JOB_INFO_1 structure

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class com.sun.jna.Structure

      `Structure.ByReference, Structure.ByValue, Structure.StructField`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.util.List<java.lang.String>` | `FIELDS`
    `int` | `JobId` A job identifier.
    `int` | `PagesPrinted` The number of pages that have printed.
    `java.lang.String` | `pDatatype` A pointer to a null-terminated string that specifies the type of data used to record the print job.
    `java.lang.String` | `pDocument` A pointer to a null-terminated string that specifies the name of the print job (for example, "MS-WORD: Review.doc").
    `java.lang.String` | `pMachineName` A pointer to a null-terminated string that specifies the name of the machine that created the print job.
    `int` | `Position` The job's position in the print queue.
    `java.lang.String` | `pPrinterName` A pointer to a null-terminated string that specifies the name of the printer for which the job is spooled.
    `int` | `Priority` The job priority.
    `java.lang.String` | `pStatus` A pointer to a null-terminated string that specifies the status of the print job.
    `java.lang.String` | `pUserName` A pointer to a null-terminated string that specifies the name of the user that owns the print job.
    `int` | `Status` The job status.
    `WinBase.SYSTEMTIME` | `Submitted` A SYSTEMTIME structure that specifies the time that this document was spooled.
    `int` | `TotalPages` The total number of pages that the document contains.

    - ### Fields inherited from class com.sun.jna.Structure

      `ALIGN_DEFAULT, ALIGN_GNUC, ALIGN_MSVC, ALIGN_NONE, CALCULATE_SIZE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `JOB_INFO_1()`
    `JOB_INFO_1(int size)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected java.util.List<java.lang.String>` | `getFieldOrder()` Return this Structure's field names in their proper order.

    - ### Methods inherited from class com.sun.jna.Structure

      `allocateMemory, allocateMemory, autoAllocate, autoRead, autoRead, autoWrite, autoWrite, cacheTypeInfo, calculateSize, clear, createFieldsOrder, createFieldsOrder, createFieldsOrder, createFieldsOrder, dataEquals, dataEquals, ensureAllocated, equals, fieldOffset, getAutoRead, getAutoWrite, getFieldList, getFields, getNativeAlignment, getNativeSize, getNativeSize, getPointer, getStringEncoding, getStructAlignment, hashCode, newInstance, newInstance, read, readField, readField, setAlignType, setAutoRead, setAutoSynch, setAutoWrite, setFieldOrder, setStringEncoding, size, sortFields, toArray, toArray, toString, toString, useMemory, useMemory, write, writeField, writeField, writeField`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### FIELDS

          public static final java.util.List<java.lang.String> FIELDS

    - #### JobId

          public int JobId

      A job identifier.

    - #### pPrinterName

          public java.lang.String pPrinterName

      A pointer to a null-terminated string that specifies the name of the printer for which the job is spooled.

    - #### pMachineName

          public java.lang.String pMachineName

      A pointer to a null-terminated string that specifies the name of the machine that created the print job.

    - #### pUserName

          public java.lang.String pUserName

      A pointer to a null-terminated string that specifies the name of the user that owns the print job.

    - #### pDocument

          public java.lang.String pDocument

      A pointer to a null-terminated string that specifies the name of the print job (for example, "MS-WORD: Review.doc").

    - #### pDatatype

          public java.lang.String pDatatype

      A pointer to a null-terminated string that specifies the type of data used to record the print job.

    - #### pStatus

          public java.lang.String pStatus

      A pointer to a null-terminated string that specifies the status of the print job. This member should be checked prior to Status and, if pStatus is NULL, the status is defined by the contents of the Status member.

    - #### Status

          public int Status

      The job status. The value of this member can be zero or a combination of one or more of the following values. A value of zero indicates that the print queue was paused after the document finished spooling.

    - #### Priority

          public int Priority

      The job priority. This member can be one of the following values or in the range between 1 through 99 (MIN_PRIORITY through MAX_PRIORITY).

    - #### Position

          public int Position

      The job's position in the print queue.

    - #### TotalPages

          public int TotalPages

      The total number of pages that the document contains. This value may be zero if the print job does not contain page delimiting information.

    - #### PagesPrinted

          public int PagesPrinted

      The number of pages that have printed. This value may be zero if the print job does not contain page delimiting information.

    - #### Submitted

          public WinBase.SYSTEMTIME Submitted

      A SYSTEMTIME structure that specifies the time that this document was spooled.

      This time value is in Universal Time Coordinate (UTC) format. You should convert it to a local time value before displaying it. You can use the FileTimeToLocalFileTime function to perform the conversion.

  - ### Constructor Detail

    - #### JOB_INFO_1

          public JOB_INFO_1()

    - #### JOB_INFO_1

          public JOB_INFO_1(int size)

  - ### Method Detail

    - #### getFieldOrder

          protected java.util.List<java.lang.String> getFieldOrder()

      Description copied from class: `Structure`
      Return this Structure's field names in their proper order. For example,

           protected List getFieldOrder() {
               return Arrays.asList(new String[] { ... });
           }

      IMPORTANT When deriving from an existing Structure subclass, ensure that you augment the list provided by the superclass, e.g.

           protected List getFieldOrder() {
               List fields = new ArrayList(super.getFieldOrder());
               fields.addAll(Arrays.asList(new String[] { ... }));
               return fields;
           }

      Field order must be explicitly indicated, since the field order as returned by `Class.getFields()` is not guaranteed to be predictable.
      Specified by:
        `getFieldOrder` in class `Structure`
      Returns:
        ordered list of field names

Copyright © 2007-2016 Timothy Wall. All Rights Reserved.